/*
  ==============================================================================

   This file is part of the Plugin Consultant - VST API Logger
   Copyright 2005 by Ofer Shem Tov.

  ------------------------------------------------------------------------------

   Plugin Consultant can be redistributed and/or modified under the terms of the
   GNU General Public License, as published by the Free Software Foundation;
   either version 2 of the License, or (at your option) any later version.

   Plugin Consultant is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Plugin Consultant; if not, visit www.gnu.org/licenses or write to the
   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
   Boston, MA 02111-1307 USA

  ==============================================================================
*/

class PCLookAndFeel : public LookAndFeel {

public:

#if IS_NEW_JUCE
// JUCE 1.42 handles things differently...
    virtual Button* createDocumentWindowButton (int buttonType)
      {
      if (buttonType == DocumentWindow::closeButton)
        return createDialogBoxCloseButton ();
      return LookAndFeel::createDocumentWindowButton (buttonType);
      }
#endif

	// no close button, minimize button instead
	virtual Button * 	createDialogBoxCloseButton ();

	ShapeButton* minimizeButton;
};


class PCWindow : public DialogWindow, public Timer {

public:

	PCWindow();
	~PCWindow();

	// avoid closing the window
	virtual void closeButtonPressed();
	virtual void userTriedToCloseWindow();

	// updates the GUI according to logger status
	void timerCallback();

	void buttonClicked (Button* button);

private:

	// look and feel instance
	PCLookAndFeel pcLookAndFeel;
};